@echo off
:: Verifică dacă scriptul este deja rulat cu drepturi de administrator
net session >nul 2>&1
if %errorlevel% neq 0 (
    echo Nu sunt privilegii de administrator. Incercati din nou...
    powershell -Command "Start-Process cmd.exe -ArgumentList '/c %~f0' -Verb runAs"
    exit /b
)

:: Verifică dacă dude.exe există în directorul curent
if not exist "%~dp0dude.exe" (
    echo eroare: dude.exe nu a fost gasit in %~dp0.
    pause
    exit /b
)

echo Pornire dude.exe...
:: Porneste dude.exe si redirectioneaza iesirea intr-un fisier de log in aceeasi locatie
"%~dp0dude.exe" > "%~dp0dude_output.log" 2>&1
pause
